Bug 73523 - mkinitrd doesn't handle module symlinks and duplicates.
Summary: mkinitrd doesn't handle module symlinks and duplicates.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 73521
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 18:16 UTC by hjl
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-07 04:44:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (630 bytes, patch)
2002-09-05 18:16 UTC, hjl
no flags Details | Diff

Description hjl 2002-09-05 18:16:08 UTC
mkinitrd-3.4.24-1 doesn't handle module symlinks and duplicates.
Duplicates are kernel bugs. But symlinks are not. I am uploading
a patch.

Comment 1 hjl 2002-09-05 18:17:00 UTC
Created attachment 75104 [details]
A patch

Comment 2 Erik Troan 2002-11-05 22:20:36 UTC
I put a fix for symlinks into the next mkinitrd (3.4.30); it's different from
your fix as you introduced a dependency on /usr/bin/find which I don't want
to have (mkinitrd should work w/o /usr mounted)


Note You need to log in before you can comment on or make changes to this bug.